Calico®
v2
  • v2
  • v1
API Reference
getCalico.com
API Reference
getCalico.com
v2
  • v2
  • v1
v2
  • v2
  • v1
  1. API Reference
  • Getting Started
  • Calico Connect
  • Use Cases
  • Pagination
  • Versioning
  • Platform API
    • Changelog
    • Authentication
      • Authorization Callback
    • Providers
      • Add providers
      • List connected providers
      • Remove providers
    • Assets
      • User assets
      • Refresh asset list
    • Transactions
      • Transactions
      • Refresh transactions
  • Resources
    • Response codes
    • FAQs
  • Schemas
    • Schemas
      • CalicoErrorResponse
      • RefreshResponse
    • AddProvidersRequest
    • AddProvidersResponse
    • AddProvidersData
    • ListProvidersResponse
    • ListProvidersData
    • ProviderMetadata
    • DeleteProvidersRequest
    • DeleteProvidersResponse
    • DeleteProvidersData
    • ProviderMetadataV2.1
    • ConnectedProvidersMetadataV2.1
    • GetAssetsResponse
    • GetAssetsData
    • AssetPosition
    • GetTransactionsResponse
    • GetTransactionsData
    • TransactionCategorization
    • TransactionType
    • FeeItem
    • FeeObject
    • CurrencyValue
    • Transactions data
    • Input only transactions
    • Send transaction data
    • Receive transaction data
    • Output only transaction data
    • Transactions with input and output
    • Uncategorized transaction data
    • CryptoSourceCredentialAuthType
    • RefreshResponseData
    • IntegrationResponse
    • IntegrationData
    • AuthMetaData
    • PageData
    • APIConnection
    • WalletConnection
    • OAuth2Connection
    • ErrorItem
    • ProviderId
    • GetConsentURLForThirdPartyResponse
API Reference
getCalico.com
API Reference
getCalico.com
v2
  • v2
  • v1
v2
  • v2
  • v1
  1. API Reference

Pagination

Calico Platform API uses cursor-based pagination. An identifier string marks the starting point for each set (or page) of data.
To use pagination, you must include a limit with your request. Limit is a numerical value to indicate the number of items included in each page of results. If limit is not specified, the value defaults to 30. The maximum value is 100.
Responses will include a page object. If next_uri is empty, there is no further data. To retrieve the next page, include the URI encoded next_uri query parameter in the request.

Example 1st request#

curl --location --request GET 'https://api.getcalico.com/enterprise/v2/transactions?start_time=2025-11-22T23%3A45%3A50Z&end_time=2026-01-25T22%3A47%3A34Z&limit=50'

Example response#

{
    "page": {
        "next": "/transactions?start_time=2025-11-22T23%3A45%3A50Z&end_time=2026-01-25T22%3A47%3A34Z&limit=50&cursor=DLVsbG8sIFdv"
    },
    "data": [
        {
           ...
        }
    ]
}

Example next request#

curl --location --request GET 'https://api.getcalico.com/enterprise/v2/transactions?start_time=2025-11-22T23%3A45%3A50Z&end_time=2026-01-25T22%3A47%3A34Z&limit=50&cursor=DLVsbG8sIFdv
Previous
Use Cases
Next
Versioning